/**
 * @file Dezibot.cpp
 * @author Anton Jacker, Hans Haupt, Saskia Duebener
 * @brief 
 * @version 0.1
 * @date 2023-11-26
 * 
 * @copyright Copyright (c) 2023
 * 
 */


#include "Dezibot.h"
#include <SPI.h>
#include <Wire.h>


Dezibot::Dezibot():multiColorLight(),motionDetection(){


#define GPIO_LED 48

void Dezibot::begin(void) {
    infraredLight.begin();
    motion.begin();
    multiColorLight.begin();
    lightDetection.begin();    
    motionDetection.begin();
};
